'\" vi: set ts=4 sw=4 nu:
'\" $Id: man_wp.ms,v 1.1 2000/08/05 19:27:39 jpfb Exp $
.RP
'\" ================================================
.TL
Manual Pages White Paper \- More than a HOWTO
'\" ================================================
.AU
Jrg Freudenberger
.AI
<joerg.freudenberger@web.de>
'\" ================================================
.AB
This white paper  
.I "Manual Pages"
should became a general documentation about manual reference pages.
It should not stop at the level of a HOWTO.
I'm afraid, this initial experimental issue is mostly in German.
[EN]
.PP
Dieses Weibuch 
.I "Manual Seiten"
ist in dieser ersten Version drftiger als manche Leser erwarten werden.
Ich mchte dieses Dokument mithilfe der "Community" weiterentwickeln.
Konstruktive Kommentare und auch komplette Beitrge sind willkommen.
Es soll nicht bei dem Umfang eines Howtos stehen bleiben, sondern
weitergehen.
.PP
Dieses Dokument informiert nicht nur mit puren, neutralen Fakten,
es enthlt auch persnliche Meinung.  Der Verfasser beabsichtigt 
damit, bestimmte Sachverhalte gegeneinander abzugrenzen und 
auch fr Neulinge bewertbar zu gestalten.
.AE
'\" ================================================
.NH 1
What's the Topic?
\-
Kurzeinfhrung
'\" ================================================
\"
.PP
Manualseiten sind seit der Urzeit von UNIX das Format fr
Online- und gedruckte Dokumentation.  Sie basieren auf einem
Satzprozessor namens troff.  Dieser Satzprozessor kann
programmiert werden.  Diese Programmiersprache ist strukturell
beinahe primitiv aber sehr flexibel.  Dies macht die
direkte Nutzung von troff erstaunlich schwierig
(Das erinnert irgendwie an die Programmiersprache C).
Deswegen nutzt man Macro-Pakete um die hohe Komplexitt fr Otto
Normalverbraucher und Lieschen Mller zu verstecken.  Aber
auch der Experte erfreut sich daran.  troff ist Produkt
einer Entwicklungslinie, mit der AT&T Bell Labs ihren 
gesamten Schriftverkehr und ihre gesamte Dokumentation 
abgewickelt hat und sehr wahrscheinlich heute noch abwickelt.
.PP
Die Aufgabe einer Manualseite ist es, knapp, aber ausreichend
zu informieren.  Die Nutzflche einer Seite liegt zwischen
der Flche einer Visitenkarte (originales 
\fBwc\fP(1)) und einigen Dutzend Seiten.
\"
'\" ------------------------------------------------
.NH 2
Page Layout
\-
Seitenformat
'\" ------------------------------------------------
\"
.PP
Das logische Seitenformat besteht aus dreiteiligen Seitenkopf,
der Seitenflche und einem dreiteiligen Seitenfu.
\"
.TS
center, box;
l|c|r 
c s s.
Name(Sec)	Section	Name(Sec)
_

Nutzflche
Use Area

_
.T&
l|c|r.
What	Date	Page
.TE
\"
.PP
ber die Art und Weise was genau in den Seitenkopf- und -fufeldern
steht, ist man sich nur bedingt einig.  "Section" ist meistens leer.
Das originale Macro-Paket untersttzt nur ein Seitenformat
(sprich keine unterschiedliche
Seitenformate fr gerade und ungerade Seitennummern).
\"
'\" ------------------------------------------------
.NH 2
Logic Structure
\-
Logischer Inhalt
'\" ------------------------------------------------
.PP
Jede Seite enthlt minimal Bezeichnung (NAME), bersicht (SYNOPSIS)
und Beschreibung (DESCRIPTION).  Bei Bedarf knnen weitere 
Abschnitte eingefhrt werden.
.PP
Die Seiten sind in "Manual Sections" (Handbuchabschnitte) organisiert,
sprich jede Art Dokumentiertes (Kommandos, Systemaufrufe, ...) war
frher in einem eigenen Ringbuch, spter fate man die Seiten
die eine Zielgruppe betrafen mehr oder weniger sinnvoll zu spezifischen
Reference Manuals zusammen: User, Programmierer und Administrator.
.PP
Die Aufteilung der Abschnitte und deren Numerierung hat in der
Vergangenheit mehrfach gendert.  Beginnend mit X/Open Portability
Guide Issue 3 (XPG3) wurde bei den UNIX Standards auf die Numerierung
verzichtet.  Der System V Interface Definition Guide Issue 3 (SVID3)
definiert statt dessen Implementierungsstufen.
.PP
Traditionalisten, kommerzielle UNIX-Anbieter und die Free-*nix-Gemeinde
sind sich nur in der Verwendung der ersten 3 Abschnitte einig.  Ich
zeige hier zur Einfhrung des Themas die Aufteilung des 
.I "File Hierachie Standard 2.0"
(FHS\~2.0) vom 26 Oktober 1997 Kap. 4.8.2. Die Kommentare sind an  
den FHS\~2.0 und das 
.I "Linux Documentation Project"
(LDP, nach der Manualseite \fBman\fP(1)) angelehnt. 
The sections of these are:
.br
Dessen Handbuchabschnitte sind:
.IP 1 1c
.B "User Programs"
contains pages of programs, which are available to be called by
all users via the shell.
.br
enthlt Seiten fr Programme, die von allen Benutzern aus einer
Shell heraus aufgerufen werden knnen.
.IP 2
.B "System Calls"
are functions, that are provided by the kernel.
.br
sind Funktionen, die vom Kernel selbst ausgefhrt werden.
.IP 3
.B "Library Calls"
are functions, that are provided by the libraries.
.br
sind Funktionen, die durch Bibliotheken bereitgestellt werden.
.IP 4
.B "Special Files"
describes the special files, related driver functions, and 
networking support, available in the system.  Typically, this
includes the device files found in 
.CW
/dev
.R
and the kernel interface to networking protocol support.
.br
(Spezialdateien)
beschreiben die Gertedateien, entsprechende Treiberfunktionen und 
Netzwerkuntersttzung, die das System bereitstellt.  Typischerweise
schliet dies die Gertedateien in 
.I /dev 
und die Kernelschnittstelle zur Netzwerkprotkollimplementierung ein. 
.IP 5
.B "File Formats"
The formats for many nonintuitive data files are documented here
including various include files, program output files, and 
system files.
.br
(Dateiformate und Konventionen)
beschreiben Formate von vielen nicht intuitiv verstndlichen Dateien.
Dies schleit Include-, Programmausgabe- und Systemdateien ein.
.IP 6
.B "Games"
This chapter documents games, demos, and generally trivial programs.
Different people have various notions about how essential this is.
.br
(Spiele) Dieses Kapitel dokumentiert Spiele, Demonstrationsprogramme
(Programmierbeispiele) und allgemein triviale Programme.  Es existeren 
verschiedene Vorstellungen, wie notwendig dies ist.
.IP 7
.B Miscellaneous
contains pages, that are diffucult to classify are designated as being
section 7.  The troff and other text processing macro packages are found 
here.
.br
(Vermischtes \- Makropakete und Konventionen)
enthlt Seiten, die schwer einem anderem Abschnitt zu geordnet 
werden knnen.
.br
Sie beschreibt verschiedene Konventionen, z.B. wie die Dateisystemstruktur
aussehen soll, Macro-Pakete, ...
.IP 8
.B "System Administration"
describes commands and special programs, which are used by 
system administrators for system operation and maintainance.
Partly this commands are reserved for the administrator, like
\fBmount\fP(8).  Some of these programs are occasionally useful for 
normal users.  Some programs are restricted in function und 
given information if they are called by normal users. 
This restrictions are usually not or less documented.
.br
(System Management Kommandos)
beschreibt Kommandos und Spezialprogramme, die der Administrator fr
den Systembetrieb und fr Wartungsaufgaben nutzt.  Teilweise kann
diese nur der Adminitrator ausfhren, wie \fBmount\fP(8).  Einige
dieser Programme sind gelegentlich auch fr den normalen Benutzer
ntzlich.  Einige Programme haben fr den normalen Benutzer deutliche
Funktions- und Informationseinschrnkungen, die IMHO blicherweise
gar nicht oder nicht ausreichend documentiert sind.
.LP
Im 
.I "Linux Documentation Project"
(und gesttzt durch FSSTND 1.2, den Vorgnger des FHS) gibt es unter 
Linux einen weiteren Abschnitt:
.IP 9
.B "Kernel Internal Variables and Functions"
documents nucleus internal variables and functions
 to support the development for the Linux-kernel.
.br
beschreibt Kernel-interne Variablen und Funktionen, um die zu
untersttzen, die am Linux-Kernel arbeiten.
'\"
'\" ================================================
.NH 1
Preface
\-
Vorwort
'\" ================================================
'\"
'\" ================================================
.NH 1
Introduction
\-
Einleitung
'\" ================================================
'\"
'\" ================================================
.NH 2
Markup
.PP
In this work issue there some Marks used, to set anchors
where some more detailled work is needed.
.br
In dieser Arbeitsversion sind Stellen, die noch weitere
Arbeit erfordern mit Markierungen versehen.
.IP [groff] 1
groff specific - groff spezifisch
.IP "[groff \fIVersion\fP\/]"
groff version specific - spezifisch fr eine bestimmte groff Version
.IP [en][EN] 
the english text need inspection - im englischen Text ist noch was 
zu tun
.IP [TBD]
To be defined - noch zu definieren.
.IP [TBI]
To be investigated - noch zu untersuchen, noch zu klren.
auszuarbeiten sind, sind mit [TBD] oder [TBI] markiert.
'\"
'\" ================================================
.NH 1
Example \- Ein Beispiel
'\" ================================================
'\"
'\" ================================================
.NH 1
Page Structure
\-
Seitenstruktur
'\" ================================================
.PP
Es gibt verschiedene Geschmacksrichtungen, welche Abschnitte
in welcher Reihenfolge eine Manualseite ausmachen.
Es gibt verschiedene Erweiterungen, die Stellen, die noch 
auszuarbeiten sind, sind mit [TBD] oder [TBI] markiert. 
Die Titel der regulren Abschnitte sind fett gedruckt, 
die von optionalen normal, und die von weiteren kursiv.
.IP \fBNAME\fP
Nennt den oder die Namen des Eintrags und gibt eine kurze einzeilige Beschreibung.
.br
.ti 1i
.nf
.CW
Form : name[, name]* \\- explanation
.R
.fi
.br
Diese Zeile darf keine Auszeichnungen (besondere Zeichenstze, 
Zeichengrenvernderungen, Fett- und Kursivschrift) enthalten,
da sie direkt in die whatis-Datenbank oder in den permutierten 
Index bernommen wird.
Die UNIX-Notation "\\-" steht fr den einfachen Gedankenstrich
(orig. en-dash).
.PP
[TBI]
.IP \fBSYNOPSYS\fP
Bei Kommandos beschreibt dieser Abschnitt die Syntax des Aufrufs.
Feste Bestandteile, die unverndert zu bernehemen sind,
werden fett dargestellt, variable Teile kursiv.
Optionale Teile werden im eckige Klammern (\fB[\~]\fP) eingeschlossen,
Alternativen mit senkrechtem Strich (\fB|\fP) getrennt.
An Teile, die beliebig oft wiederholt werden knnen, wird 
Elipsis (\fB...\fP) angehngt.
.IP ""
Bei Funktionen fat dieser Abschnitt die Nutzung jeder beschriebenen
Funktion zusammen.  Sofern ntig werden die vorausgesetzten 
Header und Datendefinitionen vorangestellt.
.PP
[TBI]
.IP \fBDESCRIPTION\fP
Dieser Abschnitt beschreibt in kurzen Worten, was das Kommando oder
die Funktionen fr den Anwender leisten.  Die Beschreibung verwendet 
Begriffe, die fr den Anwender verstndlich sind.
Falls dieses Kommando Subkomandos oder eine Eingabegrammatik 
interpretiert, wird dieses mormalerweise in USAGE beschrieben.
.br
Sprich: 
Diese Abschnitt gibt einen kurzen, prgnanten berblick, es 
beantwortet die Frage \(Bqwas tut es?\(lq
.IP \fBOPTIONS\fP
Dieser Abschnitt erlutert die verschiedenen Optionen eines
Kommandos und gegebenenfalls die Beziehungen untereinander.
Die Optionen knnen in jeder sinnvollen Folge aufgefhrt werden.
Die Art der Optionen hngt bei Kommandos von der durch den 
Programmier gewhlten Argumentverarbeitung ab.
Diese sollte angegeben oder erlutert werden (\(rh die 
verschiedenen Implementierungen von \fBtar\fP(1)).
.br
.ti 1i
.nf
.CW
Form : \fBoption\fP	text 
.R
.fi
.br
.IP "RETURN VALUES"
Beschreibt die Rckgabewerte und die dazu gehrenden Bedingungen
der \fBFunktionen\fP.
Werden nur Konstanten zurckgegeben, werden diese in \(Bqtagged 
paragraphs\(lq beschrieben.  Sonst wird jedes Kommando oder jede Funktion
in einem Absatz beschreiben.
\(Bqvoid\(lq-Funktionen bzw. Kommandos, die keine zuverlssigen Rckgabewerte 
liefern, werden mit Kurzbemerkungen "keine", "unzuverlssig", etc.
in diesem Abschnitt verzeichnet.
.IP ERRORS
Beschreibt die Fehlerbedingungen der \fBFunktionen\fP. 
Im Fehlerfall speichern die meisten Funktionen einen Fehler-Code
in der globalen Variable errno oder in einer anderen entsprechenden
Variable oder Struktur.  Dieser Abschnitt verzeichnet in ersten Fall
alphabethisch aufsteigend alle Fehlernamen, die eine beschriebene
Funktion erzeugt und beschreibt die Bedingungen, die diesen Fehler
auslsen in jeweils einem Absatz unter dem jeweiligen Fehlernamen.
.IP USAGE
Dieser optionale Abschnitt fhrt in die Anwendung der beschriebenen
Kommandos oder Funktionen ein.  Er verzeichnet spezielle Regeln,
Eigenschaften und (Unter-)Kommandos, die spezieller genauer
Erklrung bedrfen.  Die aufgefhrten Unterabschnitte werden benutzt,
um die besonderen eingebauten Funktionalitten zu erklren:
Commands
Modifiers
Variables
Expressions
Input Grammar
.IP EXAMPLES
Dieser Abschnitt gibt Anwendungsbeispiele.  Wann immer mglich wird
ein komplettes Beispiel mit eingegebenen Kommando und dazugehrender
Ausgabe gezeigt.  Das Beispiel wird mit dem Prompt example% fr 
normale Benutzer und example# fr den Super-User dargestellt, 
wenn eine solche Markierung notwendig ist.  Den Beispielen folgen
Erklrungen, 
Variablensubstitutionen oder Rckgabewerte.  Die meisten Beispiele fhren Konzepte aus 
SYNOPSIS; DESCRIPTION, OPTION und USAGE vor.
.IP ENVIRONMENT
Dieser Abschnitt verzeichnet alle Umgebungsvariablen, die die beschriebenen Kommandos 
oder Funktionen beeinflussen, und beschreibt kurz den ausgelsten Effekt.
.IP FILES
Dieser Abschnitt nennt die zu dieser Beschreibung gehrenden Dateien, sowie zustzliche, 
die interessant sind oder von den hier beschriebenen Kommandos oder Funktionen erzeugt 
bzw. genutzt werden.  Die Dateien knnen mit "Shell Wild Cards" benannt werden.  Jede 
Angabe ist zu erlutern.

.IP "SEE ALSO"
Dieser Abschnitt verzeichnet verwandte Manualseiten und andere zu diesen Thema 
"verffentlichte" Dokumente auf.
.IP DIAGNOSTICS
Dieser Abschnitt verzeichnet und erlutert diagnostische Ausgaben.  Die Meldungen werden 
fett gedruckt, ausgenommen Variable, die kursiv hervorgehoben werden.
.IP WARNINGS
Dieser Abschnitt warnt vor speziellen Bedingungen, die ernsthaft die Arbeitsbedingungen 
beeintrchtigen knnen \- Es darf keine "Diagnostics" enthalten.
.IP NOTES
Dieser Abschnitt verzeichnet zustzliche Information, die zu keinem anderen Punkt gehrt.
Er behandelt Punkte von weiterfhrendem, speziellen Interesse.  Kritische Information wird 
nicht hier behandelt.
.IP BUGS
beschreibt Einschrnkungen, bekannte Mngel und Auslassungen, sowie mgliche 
Schwierigkeiten bezglich der hier definierten Funktion und gegebenenfalls mgliche 
Abhilfen (z.B.: awk kann nur 100 Felder in einer Zeile).
.IP "FUTURE DIRECTIONS"
(optional)
gibt Hinweise ber die weitere Entwicklung.
.IP "CHANGE HISTORY"
(optional)
zeigt die Ableitung und Entwicklung dieses Eintrages,
vorallendingen fr entfallene 
Funktionalitten.
'\" ================================================
.bp
'\"
'\" ================================================
.NH 1
Some Elementaries
\-
Etwas elementarer Xroff
'\" ================================================
.PP
This chapter introduces some few features of the input language
of Xroff.
.br
Occasionly you might like to mark up in a special way which is
not available via the macro package, but it is possible 
using plain Xroff requests.
.br
Let's start with the real fundamental ...
.PP
Dieses Kapitel soll etwas in die Eigenschaften der
Eingabesprache einfhren.
.br
Manchmal mchte man etwas spezielles in einem Dokument
markieren oder darstellen, dies ist durch direkte Verwendung
von Xroff-Requests mglich.
.br
Begonnen wird mit dem Fundamentalen ...
'\" ------------------------------------------------
.NH 2
Charsets
\-
Zeichenstze
'\" ------------------------------------------------
.PP
Groff accepts 8bit characters in its input AKAIK since Version 
1.11a. Groff users living in the Latin\-1 area could write 
their man pages using ISO-8859-1.
.PP
Groff-Benutzer knnen sptestens seit Version 1.11a ihre
Manualseiten in ISO-8859-1 abfassen.
.PP 
Most of the commercial available implementations still
accepting only ASCII as input charset.
'\"
These limits are only of interest for those groff users,
which provide software for original *nix systems.
[en]
.PP
Bei den meisten kommerziellen Implementierungen wird auch
noch heute nur ASCII als Basis\%zeichen\%satz untersttzt.
'\"
Diese Einschrnkungen sind von groff-Benutzern nur zu beachten, 
wenn sie ihre Software auf Systemen mit AT&T abgeleitenten
Xroff einsetzen.  Eine Umrstung ist meistens nicht vollstndig
mglich.  Und nicht zu vergessen, wenn man Software an
normale Kundschaft ausliefert, hat man schlechte Karten,
wenn man deren Installation nebenbei umkrempeln mchte.
Eine kleine Konvertierroutine, die die sprachabhngigen
Zeichen in bliche und verstndliche Ersatzdarstellungen
umsetzt, kann da einigen rger vermeiden.
.PP
Fr groff ist "White Space" teilweise signifikant.
Tabulatoren springen zu den gesetzten Positionen, 
Leerzeichen am Zeilenanfang und Leerzeilen werden auch
so ausgegeben.
'\"
'\" ------------------------------------------------
.NH 2
Control Characters
\-
Steuerzeichen
'\" ------------------------------------------------
.PP
Control Characters are
.br
		. ' " \\ ( [ ] <space> <newline> <tab>
.br
\(rh \fBgroff\fP(7)-Control Characters
.br
'\" ------------------------------------------------
.NH 2
Specialcharacters
\-
Sonderzeichen
'\" ------------------------------------------------
.PP
\(rh \fBgroff_char\fP(7)
.br
All characters are listed on \fBgroff_char\fP(7).
.br
Alle Zeichen, die groff kennt, sind in der Manualseite
\fBgroff_char\fP(7) aufgelistet.
'\"
'\" ------------------------------------------------
.NH 2
Request-Syntax
'\" ------------------------------------------------
.PP
Es gibt zwei Sorten von Requests, die am Zeilenabfang und die
mit Fluchtsymbol (normalerweise \\, ist aber umstellbar).
.br
\&.ex	ist ein Beispiel die fr erste Art
.br
\&'ex	ein weiteres die fr erste Art
.br
\\fB	eines fr die zweite
.br
\(rh \fBgroff\fP(7)-Control Characters-"." "'" "\\"
\fBgroff\fP(7)-requests-.cc,.c2,.ec
'\" ------------------------------------------------
.NH 2
Comment
\-
Kommentar
'\" ------------------------------------------------
.PP
There are some ways to start a comment:
.br
Es gibt mehrere Arten einen Kommentar einzuleiten:
.IP .\\\\" 
Comment line with break
.br
Kommentarzeile mit Break
.IP '\\\\" \" ' Das hier nur um das Syntaxeinfaerben vom VIM
'\" zu korrigieren
Comment line without break
.br
Kommentarzeile ohne Break
.IP \\\\"  
Comment beginning here upto line end
.br
Kommentar von hier bis Zeilenende
'\" ------------------------------------------------
[en][de]
.PP
The requests .\\" und \\" are causing side effects,
the tmac.ms request .RP behaves strange, which it do not
after '\\".
.br
Die Requests .\\" und \\" haben Nebeneffekte,
der tmac.ms-Request .RP regiert auf beide etwas seltsam, 
was er bei '\\" lt.
'\" ------------------------------------------------
.NH 2
Spaces
\-
Leerzeichen
'\" ------------------------------------------------
.IP "<space>"
plain ASCII space, the usual space, (ASCII 32)
.br
das bliche ASCII Leerzeichen, (ASCII 32)
.IP "\\\\<space>"
unbreakable and unpaddable space
.br
das untrennbare und breitenfeste Leerzeichen
.IP "\\\\~"
[groff]
unbreakable and stretchable space
.br
das untrennbare und breitenvariable Leerzeichen
.IP "\\\\|"
the 1/6th em space
.br
das Leerzeichen der 1/6tel m-Breite
.IP "\\\\^"
the 1/12th em space
.br
das Leerzeichen der 1/12tel m-Breite
.IP "\\\\0"
the digit space
.br
das Leerzeichen der Breite einer Ziffer
.IP "\\\\&"
the zero space
.br
das Leerzeichen ohne Breite
.IP "\\\\)"
[groff]
Like \\& exept with transparence for sectence recognnition
.br
wie \\& aber mit Transparenz mit der Satzerkennung 
\(rh \fBtroff\fP(1)-new requests-.cflags
.PP
'\" ------------------------------------------------
Sometimes when putting letters in different fonts, you get 
for example (\fIXXXX\fP).  There are to special escape to 
get that right (\,\fIXXXX\fP\/) [groff]
.br
Manchmal setzt man Zeichen in verschiedenen "Fonts"
nacheiender und erhlt Ergebnisse wie (\fIXXXX\fP).
Es gibt zwei besondere "Escapes" das zu korrigieren
(\,\fIXXXX\fP\/) [groff]
.IP "\\\\/"
[groff]
the italic correction 
.br
das Leerzeichen fr Kursivkorrektur
.IP "\\\\,"
[groff]
the left italic correction (seldom used)
.br
das Leerzeichen fr die andere Kursivkorrektur (selten verwendet)
'\" ------------------------------------------------
.NH 2
Basic Font Style Switches
\-
einfache Auszeichnungswechsel
'\" ------------------------------------------------
.PP
The font style may be changed with the \\f escape. 
This is the senseable way to change the style from bold to 
italic etc. within a word.
.br
\"
Die Auszeichnung kann mit der \\f "Escape" gendert werden.
Dies ist der vernnftige Weg innerhalb eines Wortes von fett
auf kursiv usw. zu wechseln.
.IP R 
Roman Style
.br
aufrecht, normal
.IP B 
Bold
.br
aufrecht, fett
.IP I 
Italic
.br
kursiv, normal
.IP BI 
Bold Italic
.br
fett und kursiv
.IP P
previous
.br
den letzten Wechsel zurcknehmen
'\" ------------------------------------------------
.NH 2
Hyphenation Indication
\-
Trennvorgabe
'\" ------------------------------------------------
.PP
This indicator is used to mark the prefered position of
hyphenation.
.br
Mit Trennvorgaben knnen die richtigen Trennstellen markiert
werden, dies ist fr lange deutsche zusammengesetzte
Substantive notwendig.
.br
.IP "\\\\%"
default
.br
\(rh \fBgroff\fP(7)-requests-.hc
'\" ------------------------------------------------
.NH 2
Quotes
\-
Anfhrungszeichen
'\" ------------------------------------------------
.PP
Quotes are a difficult subject, there are a so many chars
and styles.  Each language do it in a specific way.
And to confuse the world only in various kinds of english 
the english authors und typographic people are using some 
styles.  (This is definitly ment as offence.) I list the books
for those who like to check.
.br
[And the typographic display needs some more work and experience.]
.br
Anfhrungszeichen sind ein schwieriges Thema.  Es gibt so viele
verschiedene Zeichen und Style.  Jede Sprache benutzt andere.
Und die englischen Autoren und Typographen benutzen verschiedene
Stile.  Ich gebe die Bcher an, auf die ich mich beziehe.
.br
[Und die typographische Darstellung braucht noch etwas ... .]
.br 
\(rh Gulbins, ... : ... Typographie; Berlin: Springer ...
.br
\(rh Jennifer Niederst: HTML Pocket Reference; Sebastopol,Kln: O'Reily, 2000
.br
'\" ------------------------------------------------
.NH 3
Typewriter Quotes
\-
Schreibmaschinen-Anfhrungszeichen
'\" ------------------------------------------------
.PP
are widely used by programmers for formal notations.
.br
werden in groem Stil von Programmieren fr formale
Notationen genutzt.
.IP "\(aq"
the single quote or apostrophe quote, only requestable via \\(aq.
.br 
Der Apostroph, aufrufbar nur mit \\(aq.
.IP "\(dq"
the double quote, requestable as " (ASCII 34) or via \(dq \\(dq.
.br 
Die Anfhrungszeichen, aufrufbar als " (ASCII 34) oder \(dq \\(dq.
[groff-1.16: \\(dq]
'\" ------------------------------------------------
.NH 3
German Quotes
\-
Deutsche Anfhrungszeichen
'\" ------------------------------------------------
.PP
Text examples
\-
Textbeispiele
.br
Um \(cqs kurz zu machen.
.br
\(BqWas ist das fr ein Kfer ?\(lq fragte er.
.br
Weienfels\(cq Einwohner
.br
\(BqDas nennt man einen \(bqDoppelaxel\(oq\(lq, erklrte sie ihm.
.br
(aus: Duden Band 1: Die deutsche Rechtschreibung; Mannheim: Bibliograhisches Institut, 1991)
.IP ' \" '
Apostroph oder Auslassungszeichen, ' (ASCII 39) oder \(cq  \\(cq 
.IP \(bq
Anfang einfache Anfhrung, nur \(bq \\(bq
.IP ` 
Ende einfache Anfhrung, ` (ASCII 96) oder \(oq \\(oq
.IP \(Bq
Anfang doppelte Anfhrung, nur \(Bq \\(Bq
.IP \(lq  
Ende doppelte Anfhrung, nur \(lq \\(lq
'\" ------------------------------------------------
.NH 3
French Quotes
\-
Franzsische Anfhrungszeichen
'\" ------------------------------------------------
.PP
This is for geting a base, because french quotes are used 
in non-french books.  I saw them in poetry books printed in UK.
(I want to refer the german librarian term Belletristik or
schne Literatur.)
[EN DE] some study needed
.IP \(fo
Start of single quote, only \(fo \\(fo
.IP \(fc 
End of single quote, only \(fc \\(fc
.IP 
Start of double quote,  (ISO 171) oder \(Fo \\(Fo
.IP 
End of double quote,  (ISO 187) oder \(Fc \\(Fc
